unit DegRadImpl;
interface
uses
  DegRadInf, InvokeRegistry;
type
  TDegRad = Class (TInvokableClass, IDegRad)
  public
    function DegToRad(Deg:Double):Double; stdcall;
    function RadToDeg(Rad:Double):Double; stdcall;
  end;

implementation
function TDegRad.DegToRad(Deg: Double): Double;
begin
  Result:=PI*Deg/180
end;
function TDegRad.RadToDeg(Rad: Double): Double;
begin
  Result:= Rad*180/PI
end;
initialization
  InvRegistry.RegisterInvokableClass(TDegRad);
end.
