unit Unit1;

interface

uses
  Variants, SysUtils, Classes, HTTPApp, HTTPProd;

type
  TWebModule1 = class(TWebModule)
    PageProducer1: TPageProducer;
    procedure WebModule1WebActionItem1Action(Sender: TObject;
      Request: TWebRequest; Response: TWebResponse; var Handled: Boolean);
    procedure PageProducer1HTMLTag(Sender: TObject; Tag: TTag;
      const TagString: String; TagParams: TStrings;
      var ReplaceText: String);
    procedure WebModule1WebActionItem2Action(Sender: TObject;
      Request: TWebRequest; Response: TWebResponse; var Handled: Boolean);
    procedure WebModule1WebActionItem3Action(Sender: TObject;
      Request: TWebRequest; Response: TWebResponse; var Handled: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  WebModule1: TWebModule1;

implementation

uses
  WebReq;

{$R *.xfm}

procedure TWebModule1.WebModule1WebActionItem1Action(Sender: TObject;
  Request: TWebRequest; Response: TWebResponse; var Handled: Boolean);
begin
  Response.ContentType:='text/html';
  Response.Content:='<HTML><BODY>'+DateTimeToStr(Now)+'</BODY></HTML>';
end;

procedure TWebModule1.PageProducer1HTMLTag(Sender: TObject; Tag: TTag;
  const TagString: String; TagParams: TStrings; var ReplaceText: String);
const
  cServerPath='/protected-cgi-bin/MujServer';
var
  i:Integer;
begin
  if TagString='MenuItem' then
  begin
    ReplaceText:='';
    for i:=1 to 10 do
      ReplaceText:=ReplaceText+format('<a href="%s">%s</a><BR>',
        [cServerPath+'/MenuItem?ID='+IntToStr(i),'Jdlo '+IntToStr(i)]);
  end
  else
  if TagString='GenDate' then
    ReplaceText:=DateTimeToStr(Now);
end;

procedure TWebModule1.WebModule1WebActionItem2Action(Sender: TObject;
  Request: TWebRequest; Response: TWebResponse; var Handled: Boolean);
begin
  Response.Content:=PageProducer1.Content;
end;

procedure TWebModule1.WebModule1WebActionItem3Action(Sender: TObject;
  Request: TWebRequest; Response: TWebResponse; var Handled: Boolean);
begin
  Response.ContentType:='text/html';
  Response.Content:='<HTML><BODY>'+' Vybrali jste si menu '+Request.QueryFields.Values['ID']+'</BODY></HTML>';
  Handled:=True;
end;

initialization
  WebRequestHandler.WebModuleClass := TWebModule1;
end.
